# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "livekit-ffi"
version = "0.9.0"
build = "build.rs"
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "FFI interface for bindings in other languages"
readme = false
license = "Apache-2.0"
repository = "https://github.com/livekit/rust-sdks"
resolver = "1"

[lib]
name = "livekit_ffi"
crate-type = [
    "lib",
    "cdylib",
]
path = "src/lib.rs"

[dependencies.console-subscriber]
version = "0.1"
features = ["parking_lot"]
optional = true

[dependencies.dashmap]
version = "5.4"

[dependencies.downcast-rs]
version = "1.2"

[dependencies.env_logger]
version = "0.10"

[dependencies.futures-util]
version = "0.3"
features = ["sink"]
default-features = false

[dependencies.imgproc]
version = "0.3.11"

[dependencies.lazy_static]
version = "1.4"

[dependencies.livekit]
version = "0.6.0"

[dependencies.livekit-protocol]
version = "0.3.5"

[dependencies.log]
version = "0.4"

[dependencies.parking_lot]
version = "0.12"
features = ["deadlock_detection"]

[dependencies.prost]
version = "0.12"

[dependencies.prost-types]
version = "0.12"

[dependencies.thiserror]
version = "1.0"

[dependencies.tokio]
version = "1"
features = [
    "full",
    "parking_lot",
]

[dev-dependencies.livekit-api]
version = "0.4.0"

[build-dependencies.webrtc-sys-build]
version = "0.3.2"

[features]
__rustls-tls = ["livekit/__rustls-tls"]
default = ["rustls-tls-native-roots"]
native-tls = ["livekit/native-tls"]
native-tls-vendored = ["livekit/native-tls-vendored"]
rustls-tls-native-roots = ["livekit/rustls-tls-native-roots"]
rustls-tls-webpki-roots = ["livekit/rustls-tls-webpki-roots"]
tracing = [
    "tokio/tracing",
    "console-subscriber",
]

[target.'cfg(target_os = "android")'.dependencies.jni]
version = "0.21.1"
